%define name fsv
%define version 0.9
%define release 10mdk

Name: %{name}
Version: %{version}
Release: %{release}
Group: File tools
License: LGPL
URL: http://fox.mit.edu/skunk/soft/fsv/
Summary: fsv - 3D File System Visualizer
Source: %{name}-%{version}.tar.bz2
Buildrequires: gtk+-devel libMesaGLU1-devel glib-devel
Buildrequires: gtkglarea-devel 
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
fsv (pronounced effessvee) is a file system visualizer in cyberspace. It
lays out files and directories in three dimensions, geometrically
representing the file system hierarchy to allow visual overview and
analysis. fsv can visualize a modest home directory, a workstation's hard
drive, or any arbitrarily large collection of files, limited only by the
host computer's memory and hardware constraints.

%prep

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS"
# do not use macro, it doesn't work
./configure --prefix=%{_prefix}  --with-doc-dir=$RPM_DOC_DIR/%{name}-%{version}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{_prefix} docdir=`pwd`/doc.rpm
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 fsv.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/fsv


(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/fsv"\
title="Fsv"\
longtitle="3D file browser"\
needs="x11"\
icon="file_tools_section.png"\
section="Applications/File tools"
EOF
)    

%post
%{update_menus}


%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc.rpm/*
%config(noreplace) %{_sysconfdir}/X11/wmconfig/fsv
%{_bindir}/*
## %{prefix}/share/locale/*/*/*
%{_menudir}/*

%changelog

* Thu Nov 27 2003 Michael Scherer <misc@mandrake.org> 0.9-10mdk
- more macro
- fix 32/64 bit library issues
 
* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9-9mdk
- buildrequires

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9-8mdk
- rebuild

* Tue Jan 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9-7mdk
- icon

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9-6mdk
- fix requires

* Tue Jul 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9-5mdk
- rebuild

* Mon Mar 19 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.9-4mdk
- rebuild

* Tue Aug 31 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.9-3mdk
- BM
- macros
- menu

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9-2mdk
- fix group
- fix files section

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9-1mdk
- new in contribs
- mandrake adaptations
- strange way to manage files :)
